主业iOS/PHP,副业啥都玩,QQ:705719110,欢迎来撩!

There is no suitable CSPRNG installed on your system

PHP开发 随风 346℃ 0评论

部署完laravel 5访问的时候遇到了这个错误,搜了半天才知道,原来是random_compat默认是安装最新版的,版本过高了,在我的 5.6版本的PHP上不支持,所以报错了,据网上的解决办法是降低random_compat的版本,在composer.json中加入下面的依赖

然后使用composer install 命令或者 composer update 命令升级所使用的版本,我这里升级完后是可以使用了,如果你们还不能使用那就降低到1.3版本试试,一般是没问题的。

转载请注明:怼码人生 » There is no suitable CSPRNG installed on your system

喜欢 (0)
发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址